commit:     258d14d239b137cf63b24217d08a63f92739716c
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Feb  7 13:42:32 2025 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Feb  7 13:42:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=258d14d2

dev-db/timescaledb: add 2.18.0

Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>

 dev-db/timescaledb/Manifest                  |  1 +
 dev-db/timescaledb/timescaledb-2.18.0.ebuild | 65 ++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-db/timescaledb/Manifest b/dev-db/timescaledb/Manifest
index 5251291ce91b..1c09b1efeae4 100644
--- a/dev-db/timescaledb/Manifest
+++ b/dev-db/timescaledb/Manifest
@@ -2,3 +2,4 @@ DIST timescaledb-2.16.1.tar.gz 7449327 BLAKE2B 
4eac0f41596db1b7669850cbb576a2d71
 DIST timescaledb-2.17.0.tar.gz 7559829 BLAKE2B 
59ae1acabd9cc2657eaef04b42a2e4a9a633bf6dca0080897b2c0645ad2faa3b82c0f693ea121fbda8becf4088877b87f5aac8cf300d73ba85b3226a057ea5e0
 SHA512 
0c10f04b62e6e57da0e53234d25b82e68724a7925fd8696a9872e2934cbd1a7af9798576afceb504d4a7207ef8b0407421bbeeb4a3deef0f4b4ad17c2753443c
 DIST timescaledb-2.17.1.tar.gz 7565025 BLAKE2B 
8d8325e06739201d17e0da19173ee852abb10c0646d5f3647c51a6c209c1c6df30bc03ee8682e082652fb8d26a0b9bedf5c6014ed143b0af530b450664f6e14f
 SHA512 
f5cd527f1b37e228c7caaad0b9a9802b1cef3b0b4a856951e46e74479263f4fef6190cc37c920ca5819ddd6874ff469645f606eeadec6741b83e82adb8c21f22
 DIST timescaledb-2.17.2.tar.gz 7567447 BLAKE2B 
c2d5d9883377ffce57184c9c29413d12a41c7ef7891abb088aa72d0d7c410db28370c53585d7ec286fd52b3fe5c89b10f3b6deb547b6a1de132dc9c6697aa8cb
 SHA512 
fc74d41062735bd4136ac71b0e10aecf34a64cdb29fd2ff31eae3f406beb8db00866e8ed7e142d47852e1586a6ad2ffa1652fbd792a45e995174b62464963d1e
+DIST timescaledb-2.18.0.tar.gz 7890767 BLAKE2B 
84cdb9673893290b835500b8a22436e1a9f19d13e9a85dc9a34b31f246d647fc3cc0a54be5676e381eb3161b7e6bb9e79447dbe0ed4a265b93e66871dbd577ed
 SHA512 
6a41c49b0262064d70e6b754a95a3914b43b518523c63a9a9604612df2188117733b237330cb28ffe5d7da10e64e7db11fe952b976878dff5624c799d8d37220

diff --git a/dev-db/timescaledb/timescaledb-2.18.0.ebuild 
b/dev-db/timescaledb/timescaledb-2.18.0.ebuild
new file mode 100644
index 000000000000..93d772f03508
--- /dev/null
+++ b/dev-db/timescaledb/timescaledb-2.18.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( 14 15 16 17 )
+POSTGRES_USEDEP="ssl"
+
+inherit postgres-multi cmake
+
+DESCRIPTION="Open-source time-series SQL database"
+HOMEPAGE="https://www.timescale.com/";
+SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
+SLOT=0
+KEYWORDS="~amd64"
+IUSE="proprietary-extensions"
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+CMAKE_IN_SOURCE_BUILD=yes
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+BUILD_DIR=${WORKDIR}/${P}
+
+src_prepare() {
+       postgres-multi_src_prepare
+       postgres-multi_foreach cmake_src_prepare
+}
+
+timescale_configure() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       local mycmakeargs=( 
"-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
+
+       # licensing is tied to features, this useflag disables the non-apache2 
licensed bits
+       if ! use proprietary-extensions ; then
+               mycmakeargs+=("-DAPACHE_ONLY=ON")
+       fi
+       cmake_src_configure
+}
+
+src_configure() {
+       postgres-multi_foreach timescale_configure
+}
+
+timescale_src_compile() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_compile
+}
+
+src_compile() {
+       postgres-multi_foreach timescale_src_compile
+}
+
+timescale_src_install() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_install
+}
+
+src_install() {
+       postgres-multi_foreach timescale_src_install
+}

Reply via email to